#10 audio/subp content is always Undefined

v1.0 (example)
closed
None
5
2014-09-28
2014-01-05
No

The audio and subp content returned by lsdvd is always "Undefined".

The reason is that "lang_extension" is used instead of "code_extension".

Proposed fix is to replace all "lang_extension" with "code_extension" in lsdvd.c.

Discussion

  • Steve Dibb

    Steve Dibb - 2014-09-25

    Okay cool, I didn't know libdvdread even had this type. I'll look into it.

    In the meantime, can you post full output of a DVD that's not displaying it properly?

    lsdvd -x /dev/dvd

    Thanks

     
  • Steve Dibb

    Steve Dibb - 2014-09-25
    • status: open --> accepted
    • assigned_to: Steve Dibb
     
  • Richard Körber

    Richard Körber - 2014-09-26

    This is the German DVD "007: Liebesgrüße aus Moskau" (From Russia with Love, EAN 4045167005273). Title 1 audio stream 0x82 is supposed to be of type "director's comment", but lsdvd shows "Undefined". I skipped the other titles in the post, because "Undefined" is correct in these titles.

    Disc Title: FROM_RUSSIA_WITH_LOVE
    Title: 01, Length: 01:50:16.280 Chapters: 32, Cells: 33, Audio streams: 04, Subpictures: 05
        VTS: 01, TTN: 01, FPS: 25.00, Format: PAL, Aspect ratio: 16/9, Width: 720, Height: 576, DF: Letterbox
        Palette: 000000 ea8080 108080 7d319b 902235 6addca d29210 5b4992 7b8080 b48080 30b66d 4f515b 1c77b6 61cfcf 88b33a 3caea4 
        Number of Angles: 1
        Audio: 1, Language: de - Deutsch, Format: ac3, Frequency: 48000, Quantization: drc, Channels: 6, AP: 0, Content: Undefined, Stream id: 0x80
        Audio: 2, Language: de - Deutsch, Format: dts, Frequency: 48000, Quantization: drc, Channels: 6, AP: 0, Content: Undefined, Stream id: 0x89
        Audio: 3, Language: en - English, Format: ac3, Frequency: 48000, Quantization: drc, Channels: 6, AP: 0, Content: Undefined, Stream id: 0x82
        Audio: 4, Language: en - English, Format: ac3, Frequency: 48000, Quantization: drc, Channels: 2, AP: 0, Content: Undefined, Stream id: 0x83
        Chapter: 01, Length: 00:03:01.010, Start Cell: 01
        Chapter: 02, Length: 00:02:20.180, Start Cell: 02
        Chapter: 03, Length: 00:02:20.020, Start Cell: 03
        Chapter: 04, Length: 00:03:05.320, Start Cell: 04
        Chapter: 05, Length: 00:02:38.370, Start Cell: 05
        Chapter: 06, Length: 00:03:41.000, Start Cell: 06
        Chapter: 07, Length: 00:01:35.060, Start Cell: 07
        Chapter: 08, Length: 00:04:42.040, Start Cell: 08
        Chapter: 09, Length: 00:04:25.370, Start Cell: 09
        Chapter: 10, Length: 00:02:26.360, Start Cell: 10
        Chapter: 11, Length: 00:02:10.100, Start Cell: 11
        Chapter: 12, Length: 00:04:16.130, Start Cell: 12
        Chapter: 13, Length: 00:10:06.060, Start Cell: 13
        Chapter: 14, Length: 00:02:33.370, Start Cell: 14
        Chapter: 15, Length: 00:03:51.050, Start Cell: 15
        Chapter: 16, Length: 00:04:04.210, Start Cell: 16
        Chapter: 17, Length: 00:03:32.160, Start Cell: 18
        Chapter: 18, Length: 00:03:04.080, Start Cell: 19
        Chapter: 19, Length: 00:03:04.010, Start Cell: 20
        Chapter: 20, Length: 00:02:05.210, Start Cell: 21
        Chapter: 21, Length: 00:02:14.050, Start Cell: 22
        Chapter: 22, Length: 00:01:45.320, Start Cell: 23
        Chapter: 23, Length: 00:03:54.200, Start Cell: 24
        Chapter: 24, Length: 00:03:56.130, Start Cell: 25
        Chapter: 25, Length: 00:01:59.000, Start Cell: 26
        Chapter: 26, Length: 00:09:30.330, Start Cell: 27
        Chapter: 27, Length: 00:02:37.000, Start Cell: 28
        Chapter: 28, Length: 00:04:46.290, Start Cell: 29
        Chapter: 29, Length: 00:01:32.080, Start Cell: 30
        Chapter: 30, Length: 00:03:18.060, Start Cell: 31
        Chapter: 31, Length: 00:04:13.100, Start Cell: 32
        Chapter: 32, Length: 00:01:19.080, Start Cell: 33
        Cell: 01, Length: 00:03:01.010
        Cell: 02, Length: 00:02:20.180
        Cell: 03, Length: 00:02:20.020
        Cell: 04, Length: 00:03:05.320
        Cell: 05, Length: 00:02:38.370
        Cell: 06, Length: 00:03:41.000
        Cell: 07, Length: 00:01:35.060
        Cell: 08, Length: 00:04:42.040
        Cell: 09, Length: 00:04:25.370
        Cell: 10, Length: 00:02:26.360
        Cell: 11, Length: 00:02:10.100
        Cell: 12, Length: 00:04:16.130
        Cell: 13, Length: 00:10:06.060
        Cell: 14, Length: 00:02:33.370
        Cell: 15, Length: 00:03:51.050
        Cell: 16, Length: 00:00:25.000
        Cell: 17, Length: 00:03:39.210
        Cell: 18, Length: 00:03:32.160
        Cell: 19, Length: 00:03:04.080
        Cell: 20, Length: 00:03:04.010
        Cell: 21, Length: 00:02:05.210
        Cell: 22, Length: 00:02:14.050
        Cell: 23, Length: 00:01:45.320
        Cell: 24, Length: 00:03:54.200
        Cell: 25, Length: 00:03:56.130
        Cell: 26, Length: 00:01:59.000
        Cell: 27, Length: 00:09:30.330
        Cell: 28, Length: 00:02:37.000
        Cell: 29, Length: 00:04:46.290
        Cell: 30, Length: 00:01:32.080
        Cell: 31, Length: 00:03:18.060
        Cell: 32, Length: 00:04:13.100
        Cell: 33, Length: 00:01:19.080
        Subtitle: 01, Language: de - Deutsch, Content: Undefined, Stream id: 0x20, 
        Subtitle: 02, Language: de - Deutsch, Content: Undefined, Stream id: 0x21, 
        Subtitle: 03, Language: en - English, Content: Undefined, Stream id: 0x22, 
        Subtitle: 04, Language: tr - Turkish, Content: Undefined, Stream id: 0x23, 
        Subtitle: 05, Language: de - Deutsch, Content: Undefined, Stream id: 0x24, 
    
    [other titles skipped...]
    
    Longest track: 01
    

    Version used: lsdvd-0.16-18.fc20.x86_64 (latest Fedora 20 package)

     
  • Steve Dibb

    Steve Dibb - 2014-09-27

    Wow, that definitely fixed it! I checked it against a lot of DVDs, and sure enough, they show content now. :)

    --- /tmp/batman.old 2014-09-27 14:31:13.970317751 -0600
    +++ /tmp/batman.new 2014-09-27 14:31:25.731215203 -0600
    @@ -3,8 +3,8 @@
        Audio: 1, Language: en - English, Format: ac3, Frequency: 48000, Quantization: drc, Channels: 2, AP: 0, Content: Undefined, Stream id: 0x80
        Audio: 2, Language: fr - Francais, Format: ac3, Frequency: 48000, Quantization: drc, Channels: 2, AP: 0, Content: Undefined, Stream id: 0x81
        Audio: 3, Language: es - Espanol, Format: ac3, Frequency: 48000, Quantization: drc, Channels: 2, AP: 0, Content: Undefined, Stream id: 0x82
    -   Audio: 4, Language: en - English, Format: ac3, Frequency: 48000, Quantization: drc, Channels: 2, AP: 0, Content: Undefined, Stream id: 0x83
    -   Audio: 5, Language: en - English, Format: ac3, Frequency: 48000, Quantization: drc, Channels: 2, AP: 0, Content: Undefined, Stream id: 0x84
    +   Audio: 4, Language: en - English, Format: ac3, Frequency: 48000, Quantization: drc, Channels: 2, AP: 0, Content: Comments1, Stream id: 0x83
    +   Audio: 5, Language: en - English, Format: ac3, Frequency: 48000, Quantization: drc, Channels: 2, AP: 0, Content: Normal, Stream id: 0x84
     Title: 02, Length: 00:00:24.000 Chapters: 02, Cells: 02, Audio streams: 03, Subpictures: 03
        Audio: 1, Language: en - English, Format: ac3, Frequency: 48000, Quantization: drc, Channels: 2, AP: 0, Content: Undefined, Stream id: 0x80
        Audio: 2, Language: fr - Francais, Format: ac3, Frequency: 48000, Quantization: drc, Channels: 2, AP: 0, Content: Undefined, Stream id: 0x81
    @@ -33,54 +33,54 @@
        Audio: 1, Language: en - English, Format: ac3, Frequency: 48000, Quantization: drc, Channels: 2, AP: 0, Content: Undefined, Stream id: 0x80
        Audio: 2, Language: fr - Francais, Format: ac3, Frequency: 48000, Quantization: drc, Channels: 2, AP: 0, Content: Undefined, Stream id: 0x81
        Audio: 3, Language: es - Espanol, Format: ac3, Frequency: 48000, Quantization: drc, Channels: 2, AP: 0, Content: Undefined, Stream id: 0x82
    -   Audio: 4, Language: en - English, Format: ac3, Frequency: 48000, Quantization: drc, Channels: 2, AP: 0, Content: Undefined, Stream id: 0x83
    -   Audio: 5, Language: en - English, Format: ac3, Frequency: 48000, Quantization: drc, Channels: 2, AP: 0, Content: Undefined, Stream id: 0x84
    +   Audio: 4, Language: en - English, Format: ac3, Frequency: 48000, Quantization: drc, Channels: 2, AP: 0, Content: Comments1, Stream id: 0x83
    +   Audio: 5, Language: en - English, Format: ac3, Frequency: 48000, Quantization: drc, Channels: 2, AP: 0, Content: Normal, Stream id: 0x84
     Title: 09, Length: 00:22:14.000 Chapters: 01, Cells: 01, Audio streams: 05, Subpictures: 03
        Audio: 1, Language: en - English, Format: ac3, Frequency: 48000, Quantization: drc, Channels: 2, AP: 0, Content: Undefined, Stream id: 0x80
        Audio: 2, Language: fr - Francais, Format: ac3, Frequency: 48000, Quantization: drc, Channels: 2, AP: 0, Content: Undefined, Stream id: 0x81
        Audio: 3, Language: es - Espanol, Format: ac3, Frequency: 48000, Quantization: drc, Channels: 2, AP: 0, Content: Undefined, Stream id: 0x82
    -   Audio: 4, Language: en - English, Format: ac3, Frequency: 48000, Quantization: drc, Channels: 2, AP: 0, Content: Undefined, Stream id: 0x83
    -   Audio: 5, Language: en - English, Format: ac3, Frequency: 48000, Quantization: drc, Channels: 2, AP: 0, Content: Undefined, Stream id: 0x84
    +   Audio: 4, Language: en - English, Format: ac3, Frequency: 48000, Quantization: drc, Channels: 2, AP: 0, Content: Comments1, Stream id: 0x83
    +   Audio: 5, Language: en - English, Format: ac3, Frequency: 48000, Quantization: drc, Channels: 2, AP: 0, Content: Normal, Stream id: 0x84
     Title: 10, Length: 00:22:21.500 Chapters: 01, Cells: 01, Audio streams: 05, Subpictures: 03
        Audio: 1, Language: en - English, Format: ac3, Frequency: 48000, Quantization: drc, Channels: 2, AP: 0, Content: Undefined, Stream id: 0x80
        Audio: 2, Language: fr - Francais, Format: ac3, Frequency: 48000, Quantization: drc, Channels: 2, AP: 0, Content: Undefined, Stream id: 0x81
        Audio: 3, Language: es - Espanol, Format: ac3, Frequency: 48000, Quantization: drc, Channels: 2, AP: 0, Content: Undefined, Stream id: 0x82
    -   Audio: 4, Language: en - English, Format: ac3, Frequency: 48000, Quantization: drc, Channels: 2, AP: 0, Content: Undefined, Stream id: 0x83
    -   Audio: 5, Language: en - English, Format: ac3, Frequency: 48000, Quantization: drc, Channels: 2, AP: 0, Content: Undefined, Stream id: 0x84
    +   Audio: 4, Language: en - English, Format: ac3, Frequency: 48000, Quantization: drc, Channels: 2, AP: 0, Content: Comments1, Stream id: 0x83
    +   Audio: 5, Language: en - English, Format: ac3, Frequency: 48000, Quantization: drc, Channels: 2, AP: 0, Content: Normal, Stream id: 0x84
     Title: 11, Length: 00:22:18.166 Chapters: 01, Cells: 01, Audio streams: 05, Subpictures: 03
        Audio: 1, Language: en - English, Format: ac3, Frequency: 48000, Quantization: drc, Channels: 2, AP: 0, Content: Undefined, Stream id: 0x80
        Audio: 2, Language: fr - Francais, Format: ac3, Frequency: 48000, Quantization: drc, Channels: 2, AP: 0, Content: Undefined, Stream id: 0x81
        Audio: 3, Language: es - Espanol, Format: ac3, Frequency: 48000, Quantization: drc, Channels: 2, AP: 0, Content: Undefined, Stream id: 0x82
    -   Audio: 4, Language: en - English, Format: ac3, Frequency: 48000, Quantization: drc, Channels: 2, AP: 0, Content: Undefined, Stream id: 0x83
    -   Audio: 5, Language: en - English, Format: ac3, Frequency: 48000, Quantization: drc, Channels: 2, AP: 0, Content: Undefined, Stream id: 0x84
    +   Audio: 4, Language: en - English, Format: ac3, Frequency: 48000, Quantization: drc, Channels: 2, AP: 0, Content: Comments1, Stream id: 0x83
    +   Audio: 5, Language: en - English, Format: ac3, Frequency: 48000, Quantization: drc, Channels: 2, AP: 0, Content: Normal, Stream id: 0x84
     Title: 12, Length: 00:21:46.333 Chapters: 01, Cells: 01, Audio streams: 05, Subpictures: 03
        Audio: 1, Language: en - English, Format: ac3, Frequency: 48000, Quantization: drc, Channels: 2, AP: 0, Content: Undefined, Stream id: 0x80
        Audio: 2, Language: fr - Francais, Format: ac3, Frequency: 48000, Quantization: drc, Channels: 2, AP: 0, Content: Undefined, Stream id: 0x81
        Audio: 3, Language: es - Espanol, Format: ac3, Frequency: 48000, Quantization: drc, Channels: 2, AP: 0, Content: Undefined, Stream id: 0x82
    -   Audio: 4, Language: en - English, Format: ac3, Frequency: 48000, Quantization: drc, Channels: 2, AP: 0, Content: Undefined, Stream id: 0x83
    -   Audio: 5, Language: en - English, Format: ac3, Frequency: 48000, Quantization: drc, Channels: 2, AP: 0, Content: Undefined, Stream id: 0x84
    +   Audio: 4, Language: en - English, Format: ac3, Frequency: 48000, Quantization: drc, Channels: 2, AP: 0, Content: Comments1, Stream id: 0x83
    +   Audio: 5, Language: en - English, Format: ac3, Frequency: 48000, Quantization: drc, Channels: 2, AP: 0, Content: Normal, Stream id: 0x84
     Title: 13, Length: 00:22:14.533 Chapters: 01, Cells: 01, Audio streams: 05, Subpictures: 03
        Audio: 1, Language: en - English, Format: ac3, Frequency: 48000, Quantization: drc, Channels: 2, AP: 0, Content: Undefined, Stream id: 0x80
        Audio: 2, Language: fr - Francais, Format: ac3, Frequency: 48000, Quantization: drc, Channels: 2, AP: 0, Content: Undefined, Stream id: 0x81
        Audio: 3, Language: es - Espanol, Format: ac3, Frequency: 48000, Quantization: drc, Channels: 2, AP: 0, Content: Undefined, Stream id: 0x82
    -   Audio: 4, Language: en - English, Format: ac3, Frequency: 48000, Quantization: drc, Channels: 2, AP: 0, Content: Undefined, Stream id: 0x83
    -   Audio: 5, Language: en - English, Format: ac3, Frequency: 48000, Quantization: drc, Channels: 2, AP: 0, Content: Undefined, Stream id: 0x84
    +   Audio: 4, Language: en - English, Format: ac3, Frequency: 48000, Quantization: drc, Channels: 2, AP: 0, Content: Comments1, Stream id: 0x83
    +   Audio: 5, Language: en - English, Format: ac3, Frequency: 48000, Quantization: drc, Channels: 2, AP: 0, Content: Normal, Stream id: 0x84
     Title: 14, Length: 00:22:14.000 Chapters: 01, Cells: 01, Audio streams: 05, Subpictures: 03
        Audio: 1, Language: en - English, Format: ac3, Frequency: 48000, Quantization: drc, Channels: 2, AP: 0, Content: Undefined, Stream id: 0x80
        Audio: 2, Language: fr - Francais, Format: ac3, Frequency: 48000, Quantization: drc, Channels: 2, AP: 0, Content: Undefined, Stream id: 0x81
        Audio: 3, Language: es - Espanol, Format: ac3, Frequency: 48000, Quantization: drc, Channels: 2, AP: 0, Content: Undefined, Stream id: 0x82
    -   Audio: 4, Language: en - English, Format: ac3, Frequency: 48000, Quantization: drc, Channels: 2, AP: 0, Content: Undefined, Stream id: 0x83
    -   Audio: 5, Language: en - English, Format: ac3, Frequency: 48000, Quantization: drc, Channels: 2, AP: 0, Content: Undefined, Stream id: 0x84
    +   Audio: 4, Language: en - English, Format: ac3, Frequency: 48000, Quantization: drc, Channels: 2, AP: 0, Content: Comments1, Stream id: 0x83
    +   Audio: 5, Language: en - English, Format: ac3, Frequency: 48000, Quantization: drc, Channels: 2, AP: 0, Content: Normal, Stream id: 0x84
     Title: 15, Length: 00:10:12.900 Chapters: 01, Cells: 01, Audio streams: 05, Subpictures: 03
        Audio: 1, Language: en - English, Format: ac3, Frequency: 48000, Quantization: drc, Channels: 2, AP: 0, Content: Undefined, Stream id: 0x80
        Audio: 2, Language: fr - Francais, Format: ac3, Frequency: 48000, Quantization: drc, Channels: 2, AP: 0, Content: Undefined, Stream id: 0x81
        Audio: 3, Language: es - Espanol, Format: ac3, Frequency: 48000, Quantization: drc, Channels: 2, AP: 0, Content: Undefined, Stream id: 0x82
    -   Audio: 4, Language: en - English, Format: ac3, Frequency: 48000, Quantization: drc, Channels: 2, AP: 0, Content: Undefined, Stream id: 0x83
    -   Audio: 5, Language: en - English, Format: ac3, Frequency: 48000, Quantization: drc, Channels: 2, AP: 0, Content: Undefined, Stream id: 0x84
    +   Audio: 4, Language: en - English, Format: ac3, Frequency: 48000, Quantization: drc, Channels: 2, AP: 0, Content: Comments1, Stream id: 0x83
    +   Audio: 5, Language: en - English, Format: ac3, Frequency: 48000, Quantization: drc, Channels: 2, AP: 0, Content: Normal, Stream id: 0x84
     Title: 16, Length: 00:22:18.166 Chapters: 01, Cells: 01, Audio streams: 05, Subpictures: 03
        Audio: 1, Language: en - English, Format: ac3, Frequency: 48000, Quantization: drc, Channels: 2, AP: 0, Content: Undefined, Stream id: 0x80
        Audio: 2, Language: fr - Francais, Format: ac3, Frequency: 48000, Quantization: drc, Channels: 2, AP: 0, Content: Undefined, Stream id: 0x81
        Audio: 3, Language: es - Espanol, Format: ac3, Frequency: 48000, Quantization: drc, Channels: 2, AP: 0, Content: Undefined, Stream id: 0x82
    -   Audio: 4, Language: en - English, Format: ac3, Frequency: 48000, Quantization: drc, Channels: 2, AP: 0, Content: Undefined, Stream id: 0x83
    -   Audio: 5, Language: en - English, Format: ac3, Frequency: 48000, Quantization: drc, Channels: 2, AP: 0, Content: Undefined, Stream id: 0x84
    +   Audio: 4, Language: en - English, Format: ac3, Frequency: 48000, Quantization: drc, Channels: 2, AP: 0, Content: Comments1, Stream id: 0x83
    +   Audio: 5, Language: en - English, Format: ac3, Frequency: 48000, Quantization: drc, Channels: 2, AP: 0, Content: Normal, Stream id: 0x84
     Longest track: 01
    
     
  • Steve Dibb

    Steve Dibb - 2014-09-27
    • status: accepted --> closed
     
  • Steve Dibb

    Steve Dibb - 2014-09-27

    Richard,

    Fixed in git. Thanks for the bug report!

     
  • Richard Körber

    Richard Körber - 2014-09-28

    You're welcome! lsdvd had some serious bugs for a long time. I'm very glad that they are going to be fixed now.

     

Log in to post a comment.